package fr.supelec.modhelx.util;

import fr.supelec.modhelx.core.Token;
import fr.supelec.modhelx.core.time.InstantValue;
import fr.supelec.modhelx.mocs.de.DeModelOfComputation;

public abstract class DePluggableBlock extends PluggableBlock {
	public final DeModelOfComputation getMoC() {
		return (DeModelOfComputation) getHandle().getMoC();
	}
	
	protected final Token createEvent(double time, Object value) {
		return createEvent(getMoC().getClock().createInstantValue(time), value);
	}
	
	protected final Token createEvent(InstantValue time, Object value) {
		return getMoC().createEvent(time, value);
	}
}
