package fr.supelec.modhelx.util;

import fr.supelec.modhelx.core.Pin;
import fr.supelec.modhelx.core.Token;
import fr.supelec.modhelx.mocs.sdf.SdfModelOfComputation;

public abstract class SdfPluggableBlock extends PluggableBlock {		
	public final SdfModelOfComputation getMoC() {
		return (SdfModelOfComputation) getHandle().getMoC();
	}
	
	public Token createToken(Object data) {
		return getMoC().createDataToken(data);
	}
	
	public void putToken(Pin p, Object data) {
		p.addToken(createToken(data));
	}
}
