package fr.supelec.modhelx.engine.instrumentation;

public class MethodCall extends CompositeTask {
	private final Object callee;
	private final String methodName;
	private final Object[] params;
	
	public MethodCall(Object callee, String methodName, Object ... params) {
		this.callee = callee;
		this.methodName = methodName;
		this.params = params;
	}

	public Object getCallee() {
		return callee;
	}

	public String getMethodName() {
		return methodName;
	}

	public Object[] getParams() {
		return params;
	}
}
