package fr.supelec.modhelx.qdgui.rendering;

import fr.supelec.modhelx.core.Block;

public class TFSMStructureR extends DefaultCompositeRenderer {
	private TFSMStructureR() {}
	
	private final static TFSMStructureR instance;
	
	static {
		instance = new TFSMStructureR();
	}
	
	public static void register() {
		VertexRenderers.register(instance);
	}
	
	@Override
	public boolean accept(Block block) {
		Object val = block.getValueOfParameter("TFSMRole");
		
		return (val instanceof String) && "TFSMStructure".equals((String)val);
	}
	
	@Override
	public RenderInternals renderInternals() {
		return RenderInternals.RENDER_BLOCKS_AND_INTER_BLOCK_RELATIONS;
	}
}
