package fr.supelec.modhelx.util;

public class Numeric {
	public static double doubleValueOfObject(Object o) {
		if (o == null) {
			return 0;
		}
		if (o instanceof Number) {
			return ((Number)o).doubleValue();
		}
		try {
			return Double.parseDouble(o.toString());
		} catch (NumberFormatException nfe) {
			return 0;
		}
	}

	public static int intValueOfObject(Object o) {
		if (o == null) {
			return 0;
		}
		if (o instanceof Number) {
			return ((Number)o).intValue();
		}
		try {
			return Integer.parseInt(o.toString());
		} catch (NumberFormatException nfe) {
			return 0;
		}
	}
}
